spring:
    datasource:
        # 配置多数据源
        dynamic:
            primary: master
            strict: false
            datasource:
                # 主库
                master:
                    # 卡特数据库服务器
                    url: jdbc:mysql://10.90.36.71:3306/wms_kate_suzhou?characterEncoding=utf8&serverTimezone=Asia/Shanghai&allowMultiQueries=true&rewriteBatchedStatements=true
                    username: developer
                    password: developer
                    driver-class-name: com.mysql.cj.jdbc.Driver
                    # 宝开服务器--内网
#                    url: jdbc:mysql://192.168.3.254:3306/wms_kate_suzhou?characterEncoding=utf8&serverTimezone=Asia/Shanghai&allowMultiQueries=true&rewriteBatchedStatements=true
#                    username: coder
#                    password: coder
#                    driver-class-name: com.mysql.cj.jdbc.Driver
#                    # 本地环境
#                    url: jdbc:mysql://localhost:3306/wms_kate_suzhou?characterEncoding=utf8&serverTimezone=Asia/Shanghai&allowMultiQueries=true&rewriteBatchedStatements=true
#                    username: developer
#                    password: developer
#                    driver-class-name: com.mysql.cj.jdbc.Driver
                # 从库
#                slave_1:
#                    url: jdbc:mysql://localhost:3306/wms_aaa?characterEncoding=utf8&serverTimezone=Asia/Shanghai&allowMultiQueries=true&rewriteBatchedStatements=true
#                    username: developer
#                    password: developer
#                    driver-class-name: com.mysql.cj.jdbc.Driver
    profiles:
        active: online
    servlet:
        multipart:
            max-file-size: 100MB #设置允许单个文件上传的大小
            max-request-size: 1000MB #设置允许上传的总的文件的大小

server:
    # 服务端配置
    port: 12315
    servlet:
        # 接口地址
        context-path: /
        encoding:
            charset: utf-8
            enabled: true
            force: true

swagger:
    # swagger配置
    enable: true
    title: 菲达宝开WMS
    description: 菲达宝开WMS
    version: 1.0
    base-package: com.wms.controller
    scan-packages: com.wms.controller

mybatis-plus:
    mapper-locations: classpath*:mapper/*.xml # mapper.xml扫描包
    type-aliases-package: com.wms.entity.table # 实体类扫描包
    configuration:
        map-underscore-to-camel-case: true # 开启驼峰映射
        cache-enabled: false # 是否开启二级缓存
    global-config:
        db-config:
            id-type: assign_id
            update-strategy: not_null

logging:
    config: classpath:logback.xml
#    file:
#        encoding: UTF-8

#mybatis 分页插件
#pagehelper:
#    helperDialect: mysql
#    reasonable: true
#    supportMethodsArguments: true
#    params: count=countSql

